<script setup lang="ts">
import { useI18n } from 'vue-i18n';
import { storeToRefs } from 'pinia';
import { inject } from 'vue';
import { useAccountStore } from '@/stores/account';
import AccountDropdown from '@/components/account/Dropdown.vue';

const { t } = useI18n();
const $t = t;

const store = useAccountStore();
const { mail } = storeToRefs(store);
const configuration = inject<any>('configuration');
const basePath = configuration.basePath;

</script>
<template>
    <div class="bg-gray-100">
        <nav class="flex flex-row bg-accent1-default h-10 max-h-10">
            <slot name="navbarmenu"></slot>
            <div class="ml-auto mr-2" v-if="mail">
                <AccountDropdown />
            </div>
        </nav>
        <slot></slot>
        <div class="h-10 max-h-10 w-full text-center bg-accent1-default p-3 text-accent1-text select-none">
            <span class="mx-auto">
                <a class="hover:text-gray-300 hover:no-underline" :href="basePath + 'impress'" target="_self" rel="noopener"> {{
                    $t("indexPage.impress") }}</a>
                <span class="mx-4">|</span>
                <a class="hover:text-gray-300 hover:no-underline" :href="basePath + 'privacy'" target="_self" rel="noopener"> {{
                    $t("indexPage.privacy") }} </a>
            </span>
        </div>
    </div>
</template>